// Example
@mixin theme($theme: DarkGray) {
  background: $theme;
  box-shadow: 0 0 1px rgba($theme, 0.25);
  color: #fff;
}

.info {
  @include theme;
}
.alert {
  @include theme($theme: DarkRed);
}
.success {
  @include theme($theme: DarkGreen);
}

// Dashboard card
@mixin card($bgc: DarkGray, $cl: DarkGray) {
  padding: 25px;
  background: $bgc;
  color: $cl;
}

// Table status column
@mixin status_column($clr) {
  font-size: 12px;
  font-weight: 600;
  line-height: 24px;
  text-align: left;
  padding-inline: 10px;
  border-radius: 4px;
  background-color: $clr;
  text-align: center;
  color: darken($color: $clr, $amount: 75%);
  overflow: auto;
  text-overflow: ellipsis;
}
